/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/

#include "stdafx.h"
#include "resource.h"

// The module attribute causes DllMain, DllRegisterServer and DllUnregisterServer to be automatically implemented for you
[ module(dll, uuid = "{0f07ae3d-5225-400e-a585-2f91514b3dc7}", 
		 name = "Agilent34945ALib",
		 version = "1.3",  
		 helpstring = "IVI Agilent34945A 1.3 Type Library",
		 helpfile = "Agilent34980A.chm",
		 resource_name = "IDR_Agilent34945A") ]

class CNtlModule {
public:
#if (_MSC_VER < 1400) // Before VS2005
	DECLARE_REGISTRY_APPID_RESOURCEID(IDR_Agilent34945A, "{f42d33b7-6ba1-4f8b-9824-4c0255741545}")
#endif

	HRESULT DllRegisterServer(BOOL bRegTypeLib = TRUE)
	{
		HRESULT hr = __super::DllRegisterServer(bRegTypeLib);

		return hr;
	}

	HRESULT DllUnregisterServer()
	{
		HRESULT hr = __super::DllUnregisterServer();

		return hr;
	}
};

